%define major %(echo %{version}|cut -d. -f1,2)
%define iconname sylpheed.png

%define libapi 0
%define libmajor 1
%define libname %mklibname %name %libapi %libmajor
%define develname %mklibname -d %name

Summary:	A GTK+2 based, lightweight, and fast e-mail client
Name:		sylpheed
Version:	3.3.0
Release:	%mkrel 3
Source0:	http://sylpheed.sraoss.jp/sylpheed/v%{major}/sylpheed-%{version}.tar.bz2
License:	GPLv2
URL:		http://sylpheed.sraoss.jp/
BuildRequires:	gtk+2-devel
BuildRequires:	gpgme-devel > 0.4.5
BuildRequires:	imagemagick
BuildRequires:	libpilot-link-devel
BuildRequires:	openldap-devel
BuildRequires:	pkgconfig(gtkspell-2.0)
Requires:	curl
Group:		Networking/Mail
Provides:	sylpheed-main = %version-%release
Provides:	sylpheed2
Obsoletes:	sylpheed2

%description
This program is an X based fast e-mail client which has features
(or go for it :-)) like:
	o user-friendly and intuitive interface
	o integrated NetNews client (partially implemented)
	o ability of keyboard-only operation
	o Mew/Wanderlust-like key bind
	o multipart MIME
	o built-in image view
	o external editor support
	o unlimited multiple account handling
	o message queueing
	o filtering
	o XML-based address book
See 'README' for more information.

%package -n %libname
Summary: Library files for %name
Group: Networking/Mail

%description -n %libname
This package contains shared library files for %name.

%package -n %develname
Summary: Development files for %name
Group: Networking/Mail
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %develname
This package contains development files for %name.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --enable-gpgme \
		--enable-jpilot \
		--enable-ssl \
		--enable-ldap \
		--enable-ipv6

%make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert sylpheed.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert sylpheed.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert sylpheed.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

%{find_lang} %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog* NEWS README* INSTALL* TODO*
%{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/faq
%lang(de) %doc %{_datadir}/%{name}/faq/de
%lang(en) %doc %{_datadir}/%{name}/faq/en
%lang(es) %doc %{_datadir}/%{name}/faq/es
%lang(fr) %doc %{_datadir}/%{name}/faq/fr
%lang(it) %doc %{_datadir}/%{name}/faq/it
%dir %{_datadir}/%{name}/manual
%lang(en) %doc %{_datadir}/%{name}/manual/en
%lang(ja) %doc %{_datadir}/%{name}/manual/ja
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%{_miconsdir}/%{iconname}

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*-%{libapi}.so.%{libmajor}
%{_libdir}/*-%{libapi}.so.%{libmajor}.*

%files -n %develname
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/%name




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.3.0-3.mga3
+ Revision: 383873
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.3.0-2.mga3
+ Revision: 317290
- br gtkspell

* Sat Nov 10 2012 fwang <fwang> 3.3.0-1.mga3
+ Revision: 316832
- new version 3.3.0

* Fri Jun 29 2012 fwang <fwang> 3.2.0-1.mga3
+ Revision: 264917
- new version 3.2.0

* Wed Jun 06 2012 fwang <fwang> 3.1.4-1.mga3
+ Revision: 256135
- new version 3.1.4

* Thu Mar 01 2012 fwang <fwang> 3.1.3-1.mga2
+ Revision: 216377
- fix build with latest glib
- new version 3.1.3

* Thu Sep 08 2011 fwang <fwang> 3.1.2-1.mga2
+ Revision: 141361
- new version 3.1.2

* Sun Jun 19 2011 kharec <kharec> 3.1.1-1.mga2
+ Revision: 109688
- new version 3.1.1

* Tue Feb 01 2011 dmorgan <dmorgan> 3.1.0-1.mga1
+ Revision: 46057
- Remove mdv macros
- imported package sylpheed

